/*
	Base settings
*/
* {
	outline: none;
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	-webkit-tap-highlight-color: transparent;
}
html {
	font-family: sans-serif;
	min-height: 100%;
	height: 100%;
	font-size: $fontSize;
	line-height: $baseLineHeight;
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
	overflow: auto;
    -webkit-overflow-scrolling: touch;
	overscroll-behavior-y: none;

}
.page {
	flex: 1 0 auto;
}
.footer {
	flex: 0 0 auto;
}
body {
	@include font;
	background-color: $bgColor;
	color: $baseTextColor;
	min-height: 100%;
	display: flex;
	flex-direction: column;
	&._fixed {
		width: 100%;
		height: 100%;
		position: fixed;
		left: 0;
		top: 0;
	}
	&.bg-dark {
		background-color: $bgColorDark;
	}
}
a {
	background-color: transparent;
	text-decoration: none;
	transition-property: color;
	transition-duration: 0.4s;
}
b,
strong {
	font-weight: bold;
}
label {
	cursor: pointer;
	display: block;
}
button {
	cursor: pointer;
	display: inline-block;
	vertical-align: top;
	&:focus {
		outline: none;
	}
}
button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  font-size: 100%;
  line-height: 1.15;
}
button,
select {
  text-transform: none;
}
img {
	display: block;
	max-width: 100%;
	max-height: 100%;
	border: 0;
}
/* Grid layout */
.w {
	&-16 {
		width: 16.6666%;
	}
	&-20 {
		width: 20%;
	}
	&-25 {
		width: 25%;
	}
	&-30 {
		width: 30%;
	}
	&-33 {
		width: 33.3333%;
	}
	&-35 {
		width: 35%;
	}
	&-40 {
		width: 40%;
	}
	&-50 {
		width: 50%;
	}
	&-60 {
		width: 60%;
	}
	&-65 {
		width: 65%;
	}
	&-66 {
		width: 66.6666%;
	}
	&-70 {
		width: 70%;
	}
	&-75 {
		width: 75%;
	}
	&-80 {
		width: 80%;
	}
	&-100 {
		width: 100%;
	}
}
.flex {
	display: flex;
	&--wrap {
		flex-wrap: wrap;
	}
	&--row {
		flex-direction: row;
	}
	&--reverse {
		flex-direction: row-reverse;
	}
	&--column {
		flex-direction: column;
	}
	&--j-between {
		justify-content: space-between;
	}
	&--j-around {
		justify-content: space-around;
	}
	&--j-center {
		justify-content: center;
	}
	&--j-start {
		justify-content: flex-start;
	}
	&--j-end {
		justify-content: flex-end;
	}
	&--center {
		justify-content: center;
	}
	&--a {
		&-center {
			align-items: center;
		}
		&-stretch {
			align-items: stretch;
		}
		&-start {
			align-items: flex-start;
		}
		&-end {
			align-items: flex-end;
		}
	}
	&--wrap {
		flex-wrap: wrap;
	}
}
.hidden,
[hidden] {
	display: none;
}
.inner {
	margin-left: auto;
	margin-right: auto;
	max-width: 1640px;
	padding-left: 24px;
	padding-right: 24px;
	&--type-2 {
		padding-left: 186px;
		padding-right: 186px;
		@media (max-width: 1340px) {
			padding-left: 100px;
			padding-right: 100px;
		}
		@media (max-width: 1024px) {
			padding-left: 24px;
			padding-right: 24px;
		}
	}
}
.biographyMenuOpen {
	.header {
		z-index: 0;
	}
}
.paddingMenu {
	@media (max-width: 767px) {
		padding-bottom: 66px;
	}
}